Build multi-arch image

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions

Creates a new Build multi-arch image action in the pipeline

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

POST PARAMETERS
typerequiredstring enum
The type of the action
Allowed enum:
DOCKER_BUILD_MULTI_ARCH
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
permissionsPermissionsView
Access permissions configuration
docker_image_tagstring
The tag of the Docker image
repositorystring
The name of the Docker repository
registrystring
The URL of the Docker registry
insecure_registryboolean
If set to true, the registry will be accessed over HTTP instead of HTTPS
regionstring
The region for the Docker registry (for AWS ECR)
loginstring
The username for the Docker registry
passwordstring
The password for the Docker registry
target_stagestring
The target stage of the Dockerfile
do_not_prune_imagesboolean
If set to true, images will not be pruned after the build
versionsstring[]
The list of image versions to build or push
docker_registrystring enum
The type of registry from which the image is retrieved
Allowed enum:
NONE,
DOCKER_HUB,
AMAZON_ECR,
GOOGLE_GCR,
GOOGLE_ARTIFACT_REGISTRY,
OTHER,
GIT_HUB_CONTAINER_REGISTRY,
PACKAGE_REGISTRY,
DIGITAL_OCEAN_CONTAINER_REGISTRY
target_platformstring
The target platform for the Docker build
cache_modestring enum
The caching mode for Docker build
Allowed enum:
MIN,
MAX
pullboolean
If set to false, the image will not be pulled before building
target_pathstring
The target path in the container
use_image_from_actionboolean
If set to true, the image from another action will be used
docker_build_action_idinteger
The ID of the action from which the Docker image will be used
docker_build_action_namestring
The name of the action from which the Docker image will be used
image_locationstring enum
The location of the image used by the action
Allowed enum:
PUBLIC_REGISTRY,
PRIVATE_REGISTRY,
ACTION,
PACKAGE_REGISTRY
dockerfile_pathstring
The path to the Dockerfile
context_pathstring
The path to the Docker build context
provenancestring enum
The provenance attestation mode for the build
Allowed enum:
NONE,
MIN,
MAX
build_argsstring[]
The list of build arguments to pass to the Docker build
secretsDockerSecretView[]
The list of secrets to pass to the Docker build
integrationDockerIntegrationRef
Docker registry integration (DOCKER_HUB|GOOGLE_SERVICE_ACCOUNT|AMAZON|GIT_HUB|GIT_HUB_ENTERPRISE)
packagestring
The identifier of the package from package registry

Response

RESPONSE BODY
typestring enum
The type of the action
Allowed enum:
DOCKER_BUILD_MULTI_ARCH
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
docker_image_tagstring
The tag of the Docker image
repositorystring
The name of the Docker repository
registrystring
The URL of the Docker registry
insecure_registryboolean
If set to true, the registry will be accessed over HTTP instead of HTTPS
regionstring
The region for the Docker registry (for AWS ECR)
loginstring
The username for the Docker registry
passwordstring
The password for the Docker registry
target_stagestring
The target stage of the Dockerfile
do_not_prune_imagesboolean
If set to true, images will not be pruned after the build
versionsstring[]
The list of image versions to build or push
docker_registrystring enum
The type of registry from which the image is retrieved
Allowed enum:
NONE,
DOCKER_HUB,
AMAZON_ECR,
GOOGLE_GCR,
GOOGLE_ARTIFACT_REGISTRY,
OTHER,
GIT_HUB_CONTAINER_REGISTRY,
PACKAGE_REGISTRY,
DIGITAL_OCEAN_CONTAINER_REGISTRY
target_platformstring
The target platform for the Docker build
cache_modestring enum
The caching mode for Docker build
Allowed enum:
MIN,
MAX
pullboolean
If set to false, the image will not be pulled before building
dockerfile_pathstring
The path to the Dockerfile
context_pathstring
The path to the Docker build context
provenancestring enum
The provenance attestation mode for the build
Allowed enum:
NONE,
MIN,
MAX
build_argsstring[]
The list of build arguments to pass to the Docker build
secretsDockerSecretView[]
The list of secrets to pass to the Docker build
integrationIntegrationIdentifierView
The integration used by the action
packagestring
The identifier of the package from package registry

Last modified on Mar 18, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Build multi-arch image", "type": "DOCKER_BUILD_MULTI_ARCH", "trigger_time": "ON_EVERY_EXECUTION", "build_args": [ "key=value" ], "dockerfile_path": "Dockerfile", "context_path": "/contextPath", "target_stage": "$targetStage", "secrets": [ { "id": "$secretId", "value": "$path_to_secret", "type": "FILE" } ], "target_platform": "linux/amd64,linux/arm64" }'
STATUS
200 OK